GSLP(1)

NAME
gslp - Format and print text using ghostscript
gsbj - Format and print text for BubbleJet printer using ghostscript
gsdj - Format and print text for DeskJet printer using ghostscript
gsdj500 - Format and print text for DeskJet 500 BubbleJet using ghostscript
gslj - Format and print text for LaserJet printer using ghostscript

SYNOPSIS
gslp -12BclqRr -b<header> -f<font> -F<hfont> -L<lines> -p<outfile> -T<n> --add-to-space <units> --add-to-width <units> --columns <n> --detect --first-page <n> --kern <file.afm> --last-page <n> --(heading|footing)-(left|center|right) <string> --margin-(top|bottom|left|right) <inches> --no-eject-(file|formfeed) --spacing <n> [gs options] [files]
gsbj [options] [files]
gsdj [options] [files]
gsdj500 [options] [files]
gslj [options] [files]

DESCRIPTION
This utility provides functionality approximately equivalent to the Unix enscript(1) program. It prints plain text files using a single font. It currently handles tabs and formfeeds, but not backspaces. It will line-wrap when using fixed-pitch fonts. It will also do kerning and width adjustment.

The default device (-sDEVICE=) and resolution (-r) are as follows:
      gslp      epson      180
      gsbj      bj10e      180
      gsdj      deskjet    300
      gsdj500   djet500    300
      gslj      laserjet   300
By default the current date is formatted as the center header.

OPTIONS

Standard switches implemented:
    -12BclqRr -b<header> -f<font> -F<hfont> -L<lines> -p<outfile>

Sun switches implemented:
    -T<n>    set tab width

Switches ignored:
    -GghKkmow -# -C -d -J -n -P -S -s -t -v

Switches added:

    --add-to-space <units>
        add the given number of 1/72" units to the width of each space (may be negative)

    --add-to-width <units>
        add the given number of 1/72" units to the width of each character (may be negative)

    --columns <n>
        print in <n> columns

    --detect
        treat the file as PostScript if it starts with %!

    --first-page <n>
        start printing at page <n>

    --kern <file.afm>
        kern using information from the given .AFM file

    --last-page <n>
        stop printing after page <n>

    --(heading|footing)-(left|center|right) <string>
        set the heading/footing fields; use -B first to clear

    --margin-(top|bottom|left|right) <inches>
        set a margin

    --no-eject-(file|formfeed)
        end-of-file/FF only starts a new column, not a new sheet

    --spacing <n>
        use double (n=2), triple (n=3), etc. spacing
Also, the string %# in a heading or footing is replaced with the page #.

SEE ALSO
gs(1)

VERSION
This document was last revised for Ghostscript version 8.54.

AUTHOR
Artifex Software, Inc. and artofcode LLC are the primary maintainers of Ghostscript. This manpage by George Ferguson.